## pstreams 0.5.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.21 2004/10/17 16:07:32 redi Exp $
+# $Id: Makefile,v 1.24 2005/06/11 09:38:40 redi Exp $
 # PStreams Makefile
 # Copyright (C) Jonathan Wakely
 #
@@ -18,14 +18,16 @@
 # along with PStreams; if not, write to the Free Software Foundation, Inc.,
 # 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-# TODO configure script (allow doxgenatiing of EVISCERATE functions)
+# TODO configure script (allow doxgenating of EVISCERATE functions)
 
 OPTIM=-g3
 EXTRA_CFLAGS=
 EXTRA_CXXFLAGS=
 
-CFLAGS=-std=c++98 -pedantic -Werror -Wall -W -Wpointer-arith -Wcast-qual -Wcast-align -Wredundant-decls $(OPTIM)
-CXXFLAGS=$(CFLAGS) -Woverloaded-virtual
+CFLAGS=-pedantic -Werror -Wall -W -Wpointer-arith -Wcast-qual -Wcast-align -Wredundant-decls $(OPTIM)
+CXXFLAGS=$(CFLAGS) -std=c++98 -Woverloaded-virtual
+
+INSTALL_PREFIX=/usr/local
 
 SOURCES = pstream.h
 GENERATED_FILES = ChangeLog MANIFEST
@@ -34,7 +36,7 @@
 
 DIST_FILES = $(SOURCES) $(GENERATED_FILES) $(EXTRA_FILES)
 
-VERS = 0.5.0
+VERS = 0.5.2
 
 all: docs $(GENERATED_FILES)
 
@@ -43,10 +45,10 @@
 	@./test_pstreams >/dev/null || echo "TEST EXITED WITH STATUS $$?"
 
 test_pstreams: test_pstreams.cc pstream.h
-	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) -o $@ $<
+	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) $(LDFLAGS) -o $@ $<
 
 test_minimum: test_minimum.cc pstream.h
-	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) -o $@ $<
+	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) $(LDFLAGS) -o $@ $<
 
 MANIFEST: Makefile
 	@for i in $(DIST_FILES) ; do echo "pstreams-$(VERS)/$$i" ; done > $@
@@ -60,7 +62,7 @@
 ChangeLog:
 	@if [ -f CVS/Root ] ; then cvs2cl.pl ; fi
 
-packages: pstreams-$(VERS).tar.gz pstreams-docs-$(VERS).tar.gz
+dist: pstreams-$(VERS).tar.gz pstreams-docs-$(VERS).tar.gz
 
 pstreams-$(VERS).tar.gz: pstream.h $(GENERATED_FILES)
 	@ln -s . pstreams-$(VERS)
@@ -78,5 +80,9 @@
 clean:
 	@rm -f  test_minimum test_pstreams
 
+install:
+	@install -d $(INSTALL_PREFIX)/include/pstreams
+	@install -Cv -m0644 pstream.h $(INSTALL_PREFIX)/include/pstreams
+
 .PHONY: TODO test ChangeLog
