=== debian/changelog ===
pstreams (0.7.0-2ubuntu1) precise; urgency=low

  * Remove -Werror from CFLAGS, it's causing build failure.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 27 Nov 2011 14:34:46 +0400

pstreams (0.7.0-2) unstable; urgency=low

  * Rename deprecated(3); that's a too generic name for a manpage.
    Closes: #648298

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 10 Nov 2011 09:39:19 -0200

pstreams (0.7.0-1) unstable; urgency=low

  * New upstream release
  * Add debian/watch
  * Migrate to debhelper 7
  * Bump standards version to 3.9.2. No changes needed
  * Remove article from start of short description
  * Add ${misc:Depends} to dependency list
  * Use 3.0 (quilt) format
  * Remove duplicate word ("the the") from description
  * Add Homepage: field to debian/control
  * Upstream changed license to LGPL-3+; debian/copyright updated and rewriten
    using DEP5 format
  * Added DEP8-style tests

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 08 Nov 2011 16:05:36 -0200

pstreams (0.5.2-1) unstable; urgency=low

  * New upstream release

 -- Antonio S. de A. Terceiro <asaterceiro@inf.ufrgs.br>  Sun, 17 Jul 2005 19:35:46 -0300

pstreams (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #276612).
  * Makefile: added install target to install the header file.
  * Makefile: complemented clean target to delete generated documentation.
  * renamed deprecated(3) manpage to pstreams_deprecated(3), as the prior name
    would be too generic for a manpage.

 -- Antonio S. de A. Terceiro <asaterceiro@inf.ufrgs.br>  Sun, 17 Oct 2004 16:48:33 -0200
