=== debian/control ===
Source: pstreams
Section: libdevel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Antonio Terceiro <terceiro@debian.org>
Uploaders: martin f. krafft <madduck@debian.org>
Build-Depends-Indep: debhelper (>= 7.0.50~), doxygen, perl
Standards-Version: 3.9.2
Homepage: http://pstreams.sourceforge.net/

Package: libpstreams-dev
Architecture: all
Depends: ${misc:Depends}
Description: C++ iostream interface to POSIX process I/O
 PStreams allows you to run another program from your C++ application and to
 transfer data between the two programs, similar to shell pipelines. The
 PStreams class works like a wrapper for the POSIX.2 functions popen(3) and
 pclose(3) (although it doesn't actually use them), using a C++ iostreams
 interface, instead of C's stdio library. Thus, PStreams makes it possible to
 run an external program and handle its stdin, stdout, and stderr just like you
 would handle any other C++ iostream.
