## pstreams 0.8.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.38 2010/05/12 15:45:21 redi Exp $
+# $Id: Makefile,v 1.39 2010/10/14 21:35:22 redi Exp $
 # PStreams Makefile
 # Copyright (C) Jonathan Wakely
 #
@@ -17,10 +17,9 @@
 # You should have received a copy of the GNU Lesser General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-# TODO configure script (allow doxgenating of EVISCERATE functions)
+# TODO configure script (allow doxygenating of EVISCERATE functions)
 
 OPTIM= -O1 -g3
-EXTRA_CFLAGS=
 EXTRA_CXXFLAGS=
 
 CFLAGS=-pedantic -Werror -Wall -W -Wpointer-arith -Wcast-qual -Wcast-align -Wredundant-decls $(OPTIM)
@@ -38,16 +37,14 @@
 
 DIST_FILES = $(SOURCES) $(GENERATED_FILES) $(EXTRA_FILES)
 
-VERS = 0.7.0
+VERS := $(shell awk -F' ' '/^\#define *PSTREAMS_VERSION/{ print $$NF }' pstream.h)
 
 all: docs $(GENERATED_FILES)
 
-check: pstreams.wout run_tests
+check: test_pstreams test_minimum | pstreams.wout
+	@for test in $^ ; do echo $$test ; ./$$test >/dev/null 2>&1 || echo "$$test EXITED WITH STATUS $$?" ; done
 
-test: check
-
-run_tests: test_pstreams test_minimum
-	@for test in $^ ; do echo $$test ; ./$$test >/dev/null 2>&1 || echo "$$test EXITED WITH STATUS $$?" ; done
+test run_tests: check
 
 test_%: test_%.cc pstream.h
 	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) $(LDFLAGS) -o $@ $<
@@ -58,11 +55,11 @@
 docs: pstream.h mainpage.html
 	@doxygen Doxyfile
 
-mainpage.html: Makefile
+mainpage.html: pstream.h Makefile
 	@perl -pi -e "s/^(<p>Version) [0-9\.]*(<\/p>)/\1 $(VERS)\2/" $@
 
 ChangeLog:
-	@if [ -f CVS/Root ] ; then cvs2cl --no-times -U usermap -F trunk ; fi
+	@if [ -d .git ]; then git log --no-merges | grep -v '^commit ' > $@ ; fi
 
 dist: pstreams-$(VERS).tar.gz pstreams-docs-$(VERS).tar.gz
