=== debian/changelog ===
pstreams (0.8.0-2) unstable; urgency=medium

  * debian/tests/control: add missing dependencies to be able to run the test
    suite in a clean environment.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 12 Jan 2014 12:08:38 -0300

pstreams (0.8.0-1) unstable; urgency=medium

  * Add Vcs-* fields to debian/control
  * Remove martin f. krafft from Uploaders per his request.
    Thanks to martin for sponsoring my first package in Debian back in the day
    (Closes: #719103)
  * Imported Upstream version 0.8.0
  * Bump Standards-Version to 3.9.4; no changes needed
  * debian/control: add `XS-Testsuite: autopkgtest` (Closes: #692665)
  * debian/patches/dont-update-generated-files.patch: avoid updating generated
    files when building the Debian package

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 15 Dec 2013 19:11:11 -0300
