=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: pstreams
 Section: libdevel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Antonio Terceiro <terceiro@debian.org>
-Uploaders: martin f. krafft <madduck@debian.org>
+Maintainer: Antonio Terceiro <terceiro@debian.org>
 Build-Depends-Indep: debhelper (>= 7.0.50~), doxygen, perl
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://pstreams.sourceforge.net/
+Vcs-Git: git://git.debian.org/collab-maint/pstreams.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/pstreams.git;a=summary
+XS-Testsuite: autopkgtest
 
 Package: libpstreams-dev
 Architecture: all
