## pstreams 1.0.0

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 OPTIM= -O1 -g3
 EXTRA_CXXFLAGS=
 
-CFLAGS=-pedantic -Werror -Wall -W -Wpointer-arith -Wcast-qual -Wcast-align -Wredundant-decls $(OPTIM)
+CFLAGS=-pedantic -Werror -Wall -Wextra -Wpointer-arith -Wcast-qual -Wcast-align -Wredundant-decls -Wshadow $(OPTIM)
 CXXFLAGS=$(CFLAGS) -std=c++98 -Woverloaded-virtual
 
 prefix = /usr/local
@@ -62,6 +62,9 @@
 
 dist: pstreams-$(VERS).tar.gz pstreams-docs-$(VERS).tar.gz
 
+srpm: pstreams-$(VERS).tar.gz
+	@rpmbuild -ts $<
+
 pstreams-$(VERS).tar.gz: pstream.h $(GENERATED_FILES)
 	@ln -s . pstreams-$(VERS)
 	@tar -czvf $@ `cat MANIFEST`
@@ -78,6 +81,7 @@
 clean:
 	@rm -f  test_minimum test_pstreams
 	@rm -rf doc TODO
+	@rm -f  *.tar.gz
 
 install:
 	@install -d $(DESTDIR)$(includedir)/pstreams
@@ -86,5 +90,5 @@
 pstreams.wout:
 	@echo "Wide Load" | iconv -f ascii -t UTF-32 > $@
 
-.PHONY: TODO check test ChangeLog run_tests
+.PHONY: TODO check test ChangeLog run_tests dist srpm
