=== debian/changelog ===
pstreams (1.0.0-1) unstable; urgency=medium

  * Use http sf.net URL because https does not work
  * Marked as Multi-Arch: foreign
  * New upstream version 1.0.0 (Closes: #796730)

 -- Eugene Seliverstov <theirix@gmail.com>  Thu, 12 Jan 2017 11:44:32 +0300

pstreams (0.8.1-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * debian/watch: point at the sf.net redirector

  [ Eugene Seliverstov ]
  * New upstream version 0.8.1
  * Bumped compat to 9
  * Replaced bundled jquery with standard libjs-jquery
  * Added doc-base manifest
  * Bumped Standard-Version to 3.9.8
  * Updated VCS and homepage links
  * Use Testsuite instead of XS-Testsuite
  * Adopted package (Closes: #796783)
  * Updated copyright file to copyright-format 1.0
  * Reverted 0.8.0-3 changelog

 -- Eugene Seliverstov <theirix@gmail.com>  Sat, 26 Nov 2016 15:53:02 +0300
