=== debian/control ===
Source: pstreams
Section: libdevel
Priority: optional
Maintainer: Eugene Seliverstov <theirix@gmail.com>
Build-Depends-Indep: debhelper (>= 9), doxygen, perl
Standards-Version: 3.9.8
Homepage: http://pstreams.sourceforge.net/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pstreams.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pstreams.git
Testsuite: autopkgtest

Package: libpstreams-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery
Description: C++ iostream interface to POSIX process I/O
 PStreams allows you to run another program from your C++ application and to
 transfer data between the two programs, similar to shell pipelines. The
 PStreams class works like a wrapper for the POSIX.2 functions popen(3) and
 pclose(3) (although it doesn't actually use them), using a C++ iostreams
 interface, instead of C's stdio library. Thus, PStreams makes it possible to
 run an external program and handle its stdin, stdout, and stderr just like you
 would handle any other C++ iostream.
