=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# Add here commands to compile the package.
	$(MAKE) docs
	$(MAKE) TODO
	sed -i -e 's/ -1 / \\-1 /g' doc/man/man3/*
	dh_auto_build

override_dh_auto_install:
	$(MAKE) install prefix=/usr DESTDIR=debian/tmp
	$(RM) -f debian/tmp/usr/share/doc/libpstreams-dev/html/jquery.js

override_dh_installman:
	dh_installman
	#rename deprecated(3), that's a too generic name for a manpage.
	mv debian/libpstreams-dev/usr/share/man/man3/deprecated.3 debian/libpstreams-dev/usr/share/man/man3/pstreams_deprecated.3

override_dh_auto_clean:
	dh_auto_clean
	$(RM) pstreams.wout
