=== debian/watch ===
# pstreams has weird version numbers (e.g. 0.17 which is older then 0.5.x, so
# we'll stick to one digit in the minor version number as a workaround)
version=3
http://sf.net/pstreams/pstreams-([0-9]+\.[0-9]\.[0-9]+)\.tar\.gz
