=== debian/changelog ===
pstreams (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1
  * Updated policy to 4.0.0
  * Updated upstream copyright to BSL-1.0
  * Removed patch obsoleted by upstream
  * Added patch to keep non-generated files

 -- Eugene Seliverstov <theirix@gmail.com>  Fri, 21 Jul 2017 01:56:45 +0300
