=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Eugene Seliverstov <theirix@gmail.com>
 Build-Depends-Indep: debhelper (>= 9), doxygen, perl
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://pstreams.sourceforge.net/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/pstreams.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pstreams.git
