=== debian/tests/control ===
Tests: run-all
Depends: @, g++, make
