## pstreams 1.0.3

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
 # PStreams Makefile
 
-#        Copyright (C) 2001 - 2017 Jonathan Wakely
+#        Copyright (C) 2001 - 2020 Jonathan Wakely
 # Distributed under the Boost Software License, Version 1.0.
 #    (See accompanying file LICENSE_1_0.txt or copy at
 #          http://www.boost.org/LICENSE_1_0.txt)
 #
+# SPDX-License-Identifier: BSL-1.0
 
 # TODO configure script (allow doxygenating of EVISCERATE functions)
 
@@ -20,26 +21,37 @@
 INSTALL_DATA = $(INSTALL) -p -v -m 0644
 
 SOURCES = pstream.h
+TESTS = test_pstreams test_minimum
 GENERATED_FILES = ChangeLog MANIFEST
-EXTRA_FILES = AUTHORS LICENSE_1_0.txt Doxyfile INSTALL Makefile README \
+EXTRA_FILES = AUTHORS LICENSE_1_0.txt Doxyfile INSTALL.md Makefile README \
 	    mainpage.html test_pstreams.cc test_minimum.cc pstreams-devel.spec
 
 DIST_FILES = $(SOURCES) $(GENERATED_FILES) $(EXTRA_FILES)
 
-VERS := $(shell awk -F' ' '/^\#define *PSTREAMS_VERSION/{ print $$NF }' pstream.h)
+HASH := \#
+VERS := $(shell awk -F' ' '/^$(HASH)define *PSTREAMS_VERSION/{ print $$NF }' pstream.h)
 
-all: check-werror
+all: $(TESTS) | pstreams.wout
 
-check-werror:
-	@rm -f test_pstreams test_minimum
-	@$(MAKE) check EXTRA_CXXFLAGS=-Werror
+check run_tests test: all
+	@for t in $(TESTS) ; do \
+	  echo $$t ; \
+	  ./$$t >/dev/null 2>&1 || echo "$$t EXITED WITH STATUS $$?" ; \
+	done
 
-check: test_pstreams test_minimum | pstreams.wout
-	@for test in $^ ; do echo $$test ; ./$$test >/dev/null 2>&1 || echo "$$test EXITED WITH STATUS $$?" ; done
+# TODO why does valgrind cause some tests to hang?
+check-valgrind: all
+	@for t in $(TESTS) ; do \
+	  echo $$t ; \
+	  valgrind --track-fds=yes ./$$t \
+	    || echo "$$t EXITED WITH STATUS $$?" ; \
+	  echo ; \
+	done
 
-test run_tests: check
+check-werror: EXTRA_CXXFLAGS := -Werror
+check-werror: check
 
-test_%: test_%.cc pstream.h
+test_%: test_%.cc pstream.h FORCE
 	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) $(LDFLAGS) -o $@ $<
 
 MANIFEST: Makefile
@@ -86,6 +98,7 @@
 pstreams.wout:
 	@echo "Wide Load" | iconv -f ascii -t UTF-32 > $@
 
-.PHONY: TODO check test run_tests dist srpm
+.PHONY: TODO check test run_tests dist srpm FORCE
 .INTERMEDIATE: $(GENERATED_FILES) pstreams-$(VERS) pstreams-docs-$(VERS)
 
+# vim: sw=2 ts=8 noexpandtab
