=== debian/changelog ===
pstreams (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * Updated policy to 4.5.0
  * Update debhelper to 12
  * Drop man page for unneeded docstring
  * Improve NAME for man pages
  * Update watch version to 4

 -- Eugene Seliverstov <theirix@gmail.com>  Sun, 13 Dec 2020 23:08:14 +0300

pstreams (1.0.1-2) unstable; urgency=medium

  * Switched git to Salsa
  * Removed Testsuite from control
  * Updated debian policy
  * Unapply patches from source

 -- Eugene Seliverstov <theirix@gmail.com>  Sat, 21 Jul 2018 17:03:26 +0300
