=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: libdevel
 Priority: optional
 Maintainer: Eugene Seliverstov <theirix@gmail.com>
-Build-Depends-Indep: debhelper (>= 9), doxygen, perl
-Standards-Version: 4.0.0
+Build-Depends-Indep: debhelper (>= 12), doxygen, perl
+Standards-Version: 4.5.1
 Homepage: http://pstreams.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pstreams.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pstreams.git
-Testsuite: autopkgtest
+Vcs-Git: https://salsa.debian.org/theirix-guest/pstreams.git
+Vcs-Browser: https://salsa.debian.org/theirix-guest/pstreams
 
 Package: libpstreams-dev
 Architecture: all
