=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) docs
	$(MAKE) TODO
	$(RM) doc/man/man3/deprecated.3
	sed -i -e '/^.SH\ NAME/{n;s/ -1 / \\-1 /g;s/\\&.\s*$$//g;s/<.*>//g}' doc/man/man3/*
	dh_auto_build

override_dh_auto_install:
	$(MAKE) install prefix=/usr DESTDIR=debian/tmp
	$(RM) -f debian/tmp/usr/share/doc/libpstreams-dev/html/jquery.js

override_dh_auto_clean:
	dh_auto_clean
	$(RM) pstreams.wout
