## pstreams 1.0.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # PStreams Makefile
 
-#        Copyright (C) 2001 - 2020 Jonathan Wakely
+#        Copyright (C) 2001 - 2022 Jonathan Wakely
 # Distributed under the Boost Software License, Version 1.0.
 #    (See accompanying file LICENSE_1_0.txt or copy at
 #          http://www.boost.org/LICENSE_1_0.txt)
@@ -13,7 +13,7 @@
 EXTRA_CXXFLAGS=
 
 CFLAGS=-pedantic -Wall -Wextra -Wpointer-arith -Wcast-qual -Wcast-align -Wredundant-decls -Wshadow $(OPTIM)
-CXXFLAGS=$(CFLAGS) -std=c++98 -Woverloaded-virtual
+CXXFLAGS=$(CFLAGS) -Woverloaded-virtual
 
 prefix = /usr/local
 includedir = $(prefix)/include
@@ -34,24 +34,21 @@
 all: $(TESTS) | pstreams.wout
 
 check run_tests test: all
-	@for t in $(TESTS) ; do \
-	  echo $$t ; \
-	  ./$$t >/dev/null 2>&1 || echo "$$t EXITED WITH STATUS $$?" ; \
-	done
+	@status=0 ; \
+	log=`mktemp test.XXXXXX` ; \
+	for test in $(TESTS) ; do \
+	printf "Running %-20s ... " $$test ; \
+	./$$test >$$log 2>&1 && echo OK && continue ; \
+	echo "FAILED [exit status $$?]" ; cat $$log >&2 ; status=1; \
+	done ; \
+	rm $$log ; \
+	exit $$status
 
-# TODO why does valgrind cause some tests to hang?
-check-valgrind: all
-	@for t in $(TESTS) ; do \
-	  echo $$t ; \
-	  valgrind --track-fds=yes ./$$t \
-	    || echo "$$t EXITED WITH STATUS $$?" ; \
-	  echo ; \
-	done
-
-check-werror: EXTRA_CXXFLAGS := -Werror
-check-werror: check
+check-werror:
+	@$(MAKE) EXTRA_CXXFLAGS+=-Werror all check
 
 test_%: test_%.cc pstream.h FORCE
+	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) $(LDFLAGS) -o $@ $< -std=c++98
 	$(CXX) $(CXXFLAGS) $(EXTRA_CXXFLAGS) $(LDFLAGS) -o $@ $<
 
 MANIFEST: Makefile
