=== debian/changelog ===
pstreams (1.0.4-2) unstable; urgency=medium

  * Update standards version to 4.7.3
  * Remove hardening patch
  * Ignore lack of hardening for test binaries
  * watch version 5

 -- Eugene Seliverstov <theirix@gmail.com>  Mon, 19 Jan 2026 12:03:37 +0000

pstreams (1.0.4-1) unstable; urgency=medium

  * Remove debian/compat
  * Use debhelper 13
  * Remove unneeded tmp dir removal
  * New upstream version 1.0.4
  * Enable hardening

 -- Eugene Seliverstov <theirix@gmail.com>  Thu, 08 Jan 2026 19:43:30 +0000
