=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pstreams
 Section: libdevel
-Priority: optional
 Maintainer: Eugene Seliverstov <theirix@gmail.com>
-Build-Depends-Indep: debhelper (>= 12), doxygen, perl
-Standards-Version: 4.5.1
+Build-Depends-Indep: debhelper (>= 13), doxygen, perl
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.3
 Homepage: http://pstreams.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/theirix-guest/pstreams.git
 Vcs-Browser: https://salsa.debian.org/theirix-guest/pstreams
