=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

execute_before_dh_auto_build:
	@echo 'blhc: ignore-line-regexp: .*test_[a-z0-9_]+.cc.*'
	$(MAKE) docs
	$(MAKE) TODO
	$(RM) doc/man/man3/deprecated.3
	sed -i -e '/^.SH\ NAME/{n;s/ -1 / \\-1 /g;s/\\&.\s*$$//g;s/<.*>//g}' doc/man/man3/*

override_dh_auto_install:
	$(MAKE) install prefix=/usr DESTDIR=debian/tmp

override_dh_auto_clean:
	dh_auto_clean
	$(RM) pstreams.wout
