=== debian/watch ===
Version: 5
Source: http://sf.net/pstreams/
Matching-Pattern: pstreams-([0-9]+\.[0-9]\.[0-9]+)\.tar\.gz
